## Slash Commands

/linkwrangler or /lw [options]

enable, disable, toggle
Used to temporarily disable LinkWrangler, so that another mod (or original Blizzard code) can take over handling clicks on links.
This setting is NOT saved between sessions. Using '/lw' (with no options) will display the current status
You can also set a keybind to this toggle
status [default|test]
Displays the status of each of the configuration options
default: sets all configuration variables to the default values
test: Sets LinkWrangler to test saved variables when World of Warcraft is next reloaded (the same test that LinkWrangler normally runs if it detects that a new version has been installed)
help
Displays a short reminder of available slash command options
mode [advanced|simple]
Default: advanced
Requires a reload to take effect
Change the mode to use in the next session. Advanced mode allows all features. Simple mode disables some features in order to reduce taint in certain places.
Note: the click settings are unavailable in simple mode
list
Lists the names of all the addons that are currently registered with LinkWrangler (Note that a few AddOns work differently, and will not appear in this list even if they are loaded correctly)
addons <enable|disable|enablecomp|disablecomp> <addon name|addon number>
Enable or Disable the specified AddOn with respect to LinkWrangler's main or compare tooltips. Originally intended for users who don't like having too much extra data in the compare tooltips, and expanded from there.
The AddOn must be currently registered with LinkWrangler. The name is not case sensitive. Alternatively, you can use the AddOn's number as shown in the list command above.
disable: disables the AddOn for LinkWrangler's main tooltips
disablecomp: disables the AddOn for LinkWrangler's compare tooltips
enable, enablecomp: re-enables the AddOn for main or compare tooltips
AddOns are enabled for all tooltips by default
Note: This setting takes effect immediately for most AddOns. However it may not take full effect for a few AddOns until you reload your session.
verbose [on|off|toggle]
Default: on
This setting determines whether certain informational messages are displayed. Typically these messages tell you why the link you clicked didn't do anything.
If this setting is off, the messages will not be displayed, and LinkWrangler will silently do nothing.
savelayout [on|off|toggle]
Default: on
This setting determines whether the screen locations of the LinkWrangler windows will be saved between sessions.
If this setting is on, the locations of your windows will be remembered between sessions. Window locations are saved per account (not per character).
If this setting is off, the LinkWrangler windows will open in their default locations each time you re-log or reload UI
comparestats [on|off|toggle]
Default: on
Alias: compstats
Enables the display of a list of stat comparisons in the compare tooltips. Displays how each stat will change if you replace the item in the compare tooltip (currently equipped) with the item in the main tooltip. Positive changes are shown in green, and negative changes in red.
scale <number>
Default: 1
Sets the scaling factor of all LinkWrangler windows, relative to the rest of the UI.
<number> must be a number between 0.2 and 2.5
spacing [top|bottom|left|right <number>]
Default: 0
Alias: padding
Prevents the LinkWrangler window from being dragged all the way to the edge of the screen; <number> determines how close it can get.
Intended to prevent LinkWrangler windows from getting stuck behind other frames around the screen edge.
<number> must be a number between 0 and 250
itemlinks | spelllinks | questlinks | enchantlinks | achievementlinks | talentlinks | glyphlinks [on|off|toggle]
Default: on
Determines whether LinkWrangler will handle each type of link.
If these settings are off, the related link type will be bypassed by LinkWrangler, to be handled by another AddOn or the default Blizzard functionality
Note: it is possible to disable all link types, in which case LinkWrangler will be effectively disabled (but some background processes will still be running)
buttons [all|closeonly|closemin|close|noclose|minimize|nominimize|compare|nocompare|whisper|nowhisper|relink|norelink|dressup|nodressup|capture|nocapture]
Disables (hides) some of the buttons that normally appear down the right-hand side of each LinkWrangler window.
Default: all
all: enable all the buttons (default setting)
closeonly: enable the close button, disable all others
closemin: enable the close and minimise buttons, disable all others
close, minimize, compare, whisper, relink, dressup, capture: enable the relevant button
noclose, nominimize, nocompare, nowhisper, norelink, nodressup, nocapture: disable the relevant button
Note: if you disable the close button, you can close a window by clicking on the same chat link again. You can close all windows using the key binding, or by pressing Escape
Examples
To remove all the buttons except the Close button (so that the tooltip looks like the default Blizzard one)
/lw buttons closeonly
To remove all the buttons
/lw buttons closeonly noclose
To get them all back
/lw buttons all
leftclick | rightclick | middleclick | allclick <key> [=] <command>
These settings allow you to configure each mouse button to activate different functions. The shift, ctrl and alt keys can be set up to add more functions to each mouse button.
Default settings are indicated below
<key> can be one of the four following (listed in order of priority)
shift : action if shift key is held down. Default: bypass
ctrl : action if ctrl key is held down. Default: bypass
alt : action if alt key is held down. Default: bypass
action : action if no modifier keys are held down. Default: open
<command> may be one of the following (more to be added in future)
open : open a LinkWrangler Tooltip window
bypass : bypass LinkWrangler, allowing another AddOn, or the original Blizzard code, to respond to the click instead
relink : Relinks the link into your chat edit box; opens your edit box if it is not already open ("quick relink")
dressup : Tries on the item in the Dress Up window (checks that the item is wearable)
openmin or openminimized : Opens the link as a minimized window (Warning: does not check that the Minimize button is enabled!)
leftclick | rightclick | middleclick | allclick default | disable
default sets the actions to the default values (as above)
disable sets all the actions to "bypass"
Examples
To disable the right mouse button - this causes LinkWrangler to completely ignore right button clicks. Right clicks will then open the default Blizzard tooltip, useful for other tooltip AddOns which don't work with LinkWrangler.
/lw rightclick disable
To set your middle mouse button to open the link in the Dressup window (when the shift, ctrl and alts keys are not being pressed):
/lw middleclick action=dressup
To swap the dressup and relink functions on your left mouse button (I doubt anyone would really do this, it's just an example...)
/lw leftclick shift=dressup ctrl=relink
To reset everything to the default settings:
/lw allclick default